Package org.jbpm.services.task.persistence

## Class JPATaskModelFactory

- java.lang.Object
- - org.jbpm.services.task.persistence.JPATaskModelFactory

- All Implemented Interfaces:
    `org.kie.internal.task.api.TaskModelFactory`

      public class JPATaskModelFactory
      extends Object
      implements org.kie.internal.task.api.TaskModelFactory

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JPATaskModelFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.task.model.Attachment` | `newAttachment()` |
    `org.kie.internal.task.api.model.BooleanExpression` | `newBooleanExpression()` |
    `org.kie.api.task.model.Comment` | `newComment()` |
    `org.kie.api.task.model.Content` | `newContent()` |
    `org.kie.internal.task.api.model.ContentData` | `newContentData()` |
    `org.kie.internal.task.api.model.Deadline` | `newDeadline()` |
    `org.kie.internal.task.api.model.Deadlines` | `newDeadlines()` |
    `org.kie.internal.task.api.model.DeadlineSummary` | `newDeadlineSummary()` |
    `org.kie.internal.task.api.model.Delegation` | `newDelegation()` |
    `org.kie.api.task.model.Email` | `newEmail()` |
    `org.kie.api.task.model.Email` | `newEmail​(String id)` |
    `org.kie.internal.task.api.model.EmailNotificationHeader` | `newEmailNotificationHeader()` |
    `org.kie.internal.task.api.model.EmailNotification` | `newEmialNotification()` |
    `org.kie.internal.task.api.model.Escalation` | `newEscalation()` |
    `org.kie.internal.task.api.model.FaultData` | `newFaultData()` |
    `org.kie.api.task.model.Group` | `newGroup()` |
    `org.kie.api.task.model.Group` | `newGroup​(String id)` |
    `org.kie.api.task.model.I18NText` | `newI18NText()` |
    `org.kie.internal.task.api.model.Language` | `newLanguage()` |
    `org.kie.internal.task.api.model.Notification` | `newNotification()` |
    `org.kie.api.task.model.OrganizationalEntity` | `newOrgEntity()` |
    `org.kie.api.task.model.PeopleAssignments` | `newPeopleAssignments()` |
    `org.kie.internal.task.api.model.Reassignment` | `newReassignment()` |
    `org.kie.api.task.model.Task` | `newTask()` |
    `org.kie.api.task.model.TaskData` | `newTaskData()` |
    `org.kie.internal.task.api.model.TaskDef` | `newTaskDef()` |
    `org.kie.api.task.model.TaskSummary` | `newTaskSummary()` |
    `org.kie.api.task.model.User` | `newUser()` |
    `org.kie.api.task.model.User` | `newUser​(String id)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JPATaskModelFactory

          public JPATaskModelFactory()

  - ### Method Detail

    - #### newAttachment

          public org.kie.api.task.model.Attachment newAttachment()

      Specified by:
        `newAttachment` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newBooleanExpression

          public org.kie.internal.task.api.model.BooleanExpression newBooleanExpression()

      Specified by:
        `newBooleanExpression` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newComment

          public org.kie.api.task.model.Comment newComment()

      Specified by:
        `newComment` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newContentData

          public org.kie.internal.task.api.model.ContentData newContentData()

      Specified by:
        `newContentData` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newContent

          public org.kie.api.task.model.Content newContent()

      Specified by:
        `newContent` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newDeadline

          public org.kie.internal.task.api.model.Deadline newDeadline()

      Specified by:
        `newDeadline` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newDeadlineSummary

          public org.kie.internal.task.api.model.DeadlineSummary newDeadlineSummary()

      Specified by:
        `newDeadlineSummary` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newDeadlines

          public org.kie.internal.task.api.model.Deadlines newDeadlines()

      Specified by:
        `newDeadlines` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newDelegation

          public org.kie.internal.task.api.model.Delegation newDelegation()

      Specified by:
        `newDelegation` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newEmailNotificationHeader

          public org.kie.internal.task.api.model.EmailNotificationHeader newEmailNotificationHeader()

      Specified by:
        `newEmailNotificationHeader` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newEmialNotification

          public org.kie.internal.task.api.model.EmailNotification newEmialNotification()

      Specified by:
        `newEmialNotification` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newEscalation

          public org.kie.internal.task.api.model.Escalation newEscalation()

      Specified by:
        `newEscalation` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newFaultData

          public org.kie.internal.task.api.model.FaultData newFaultData()

      Specified by:
        `newFaultData` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newGroup

          public org.kie.api.task.model.Group newGroup()

      Specified by:
        `newGroup` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newGroup

          public org.kie.api.task.model.Group newGroup​(String id)

      Specified by:
        `newGroup` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newI18NText

          public org.kie.api.task.model.I18NText newI18NText()

      Specified by:
        `newI18NText` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newLanguage

          public org.kie.internal.task.api.model.Language newLanguage()

      Specified by:
        `newLanguage` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newNotification

          public org.kie.internal.task.api.model.Notification newNotification()

      Specified by:
        `newNotification` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newOrgEntity

          public org.kie.api.task.model.OrganizationalEntity newOrgEntity()

      Specified by:
        `newOrgEntity` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newPeopleAssignments

          public org.kie.api.task.model.PeopleAssignments newPeopleAssignments()

      Specified by:
        `newPeopleAssignments` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newReassignment

          public org.kie.internal.task.api.model.Reassignment newReassignment()

      Specified by:
        `newReassignment` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newTaskData

          public org.kie.api.task.model.TaskData newTaskData()

      Specified by:
        `newTaskData` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newTaskDef

          public org.kie.internal.task.api.model.TaskDef newTaskDef()

      Specified by:
        `newTaskDef` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newTask

          public org.kie.api.task.model.Task newTask()

      Specified by:
        `newTask` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newUser

          public org.kie.api.task.model.User newUser()

      Specified by:
        `newUser` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newUser

          public org.kie.api.task.model.User newUser​(String id)

      Specified by:
        `newUser` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newTaskSummary

          public org.kie.api.task.model.TaskSummary newTaskSummary()

      Specified by:
        `newTaskSummary` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newEmail

          public org.kie.api.task.model.Email newEmail()

      Specified by:
        `newEmail` in interface `org.kie.internal.task.api.TaskModelFactory`

    - #### newEmail

          public org.kie.api.task.model.Email newEmail​(String id)

      Specified by:
        `newEmail` in interface `org.kie.internal.task.api.TaskModelFactory`